 function fnSaveValidate() {
	var himsValidator = [new hims_ctl_val('ctl00_CP_ItemCodeAutoCompleteControl' + '_NameTextBox', "Asset Tag", "T", "", "", "", "", "", ""),
				  new hims_ctl_val('ctl00_CP_FromDatePicker' + "_DateTextbox", "Maintenance Date", "T", "", "", "", ""),
				  new hims_ctl_val('ctl00_CP_ToDatePicker' + "_DateTextbox", "Next Maintenance Date", "T", "", "", "", ""),
				  new hims_ctl_val('ctl00_CP_MaintenanceCostTextBox', "Maintenance Cost", "T", "", "", "", ""),
				  new hims_ctl_val('ctl00_CP_MaintenanceByTextBox', "Maintenance By", "T", "", "", "", "")
	];
	if (fnDoValidate(himsValidator)) {
		return true;
	}
	else {
		return false;
	}
}
function uppercase() {
	key = window.event.keyCode;
	if ((key > 0x60) && (key < 0x7B))
		window.event.keyCode = key - 0x20;
}
function fnCloseForm() {
	window.close();
	return false;
}
function textboxMultilineMaxNumber(txt, maxLen) {
	try {
		if (txt.value.length > (maxLen - 1)) return false;
	} catch (e) {
	}
}
function textboxmultilinetextchangeMaxNumber(txt, maxLen) {
	try {
		if (txt.value.length > (maxLen - 1)) {
			txt.value = txt.value.substring(0, maxLen);
			return false;
		}
	} catch (e) {
	}
}